Geopackage edits discarded whith style display

2016-02-01 02:53 AM - Julien K

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22207

Description

Dear QGis maintainers,

I ran this morning in a pretty annoying behaviour while editing Geopackage geometries.

I can edit the polygons since they have no particular style (uncategorized style or unique symbol). If the polygons are displayed following a

rule (for example the value of a field, categorized display cf style file) the geometry cannot be edited anymore: all the changes are

discarded when saving changes or toggling "Edit".

Tested/reproductible on current stable (2.12.3) and tonight's Master (8dafa63) on Win7.

Please find attached the correponding gpkg file and its associated style file to support my description.

Kind regards,

Julien

History

#1 - 2016-02-02 03:38 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Vectors

I cannot confirm: your style is based on the column "Type" and you created two classes with the values "Actuel" and "Extensions". When you digitize new

features if you don't give the proper attribute (Actuel or Extension) than is normal that your features will not show. I just tested (on master on both Linux and

Windows) and even if not showing the new features are correctly saved.

#2 - 2016-02-02 04:53 AM - Julien K

Hi Giovanni,

sorry if my report was unclear. My concern isn't about new polygons - I'm aware they will not be displayed if they don't meet the rule on the column "Type" -

but about the modification of existing ones: I tried to modify the shape of one existing polygon with the node tool and when pressing "Save" the points that

have been modified moved back to their original place.

Julien

#3 - 2016-02-02 06:12 AM - Giovanni Manghi
- Status changed from Feedback to Open

- Affected QGIS version changed from 2.12.2 to master

now I see it, really really weird.

#4 - 2016-02-04 11:09 AM - Giovanni Manghi

- Priority changed from Normal to High

- Target version set to Future Release - High Priority

#5 - 2016-06-16 06:59 AM - Jérôme Guélat

Confirmed here with QGIS 2.14.3...

#6 - 2016-12-12 06:21 AM - Jérôme Guélat

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Target version changed from Future Release - High Priority to Version 2.18

The problem seems to be fixed in 2.14.9 and 2.18.1

Files

Installations-test.gpkg 16 KB 2016-02-01 Julien K

Installations-v01.qml 17.3 KB 2016-02-01 Julien K
